require 'rest_client'
require 'json'
require 'call_request'
class Callcenter

  # @param [String] callIdCrm
  # @param [String] url
  # @return [RestClient::Response]
  # get call info from database
  # including these fields callCrm, callId, ipPhone, callNumber, urlRecord, disposition, verb, timeRing, timeTalk, timeTotal
  def self.get_call_info(callIdCrm, url)
    return RestClient.get url, {:params => {'callIdCrm' => callIdCrm}}
  end

  # @param [  CallRequest] callRequest
  # @param [String] url
  # @return [RestClient::Response]
  def self.call(callRequest, url)
    return RestClient.post url, {'partner_id' => callRequest.partner_id, 'account_id' => callRequest.account_id, 'account_name' => callRequest.account_name, 'mobile_phone' => callRequest.mobile_phone}.to_json, {content_type: :json, accept: :json}
  end

end